#version 430 core

layout(location = 0) in vec4 vertex; //x, y, u, v

out vec2 v_tex_coord;

uniform mat4 projection;

void main(){
    gl_Position = projection * vec4(vertex.xy, 0.0, 1.0);
    v_tex_coord = vertex.zw;
}